/*
Martrikelnummer der Gruppenmitglieder: Olha Grubryn (235122), Egor Rutkowski(225064), Nikola Kramaric (238498), Dennis Ruppel (238503)
*/
package com.example;

import akka.actor.typed.ActorRef;

/**
 * Paket class that represents a package in the system.
 */
public class Paket {
    // Inhalt des Pakets
    String inhalt;
    // Absender des Pakets
    String absender;
    // Empfänger des Pakets
    ActorRef<Customer.Message> empfaenger;

    /**
     * Constructor that initializes a package with only the content.
     * The sender and recipient are optional and can be set later.
     *
     * @param inhalt the content of the package
     */
    Paket(String inhalt) {
        this.inhalt = inhalt;
        this.absender = null; // Absender ist optional
        this.empfaenger = null; // Empfänger ist optional
    }

    /**
     * Constructor that initializes a package with content, sender, and recipient.
     *
     * @param inhalt the content of the package
     * @param absender the sender of the package
     * @param empfaenger the recipient of the package
     */
    Paket(String inhalt, String absender, ActorRef<Customer.Message> empfaenger) {
        this.inhalt = inhalt;
        this.absender = absender;
        this.empfaenger = empfaenger;
    }
}
